Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class NotifyMessageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.MessageRendererBase
                  org.richfaces.renderkit.NotifyMessageRendererBase

Direct Known Subclasses:
  HtmlNotifyMessageRenderer, HtmlNotifyMessagesRenderer

    public class NotifyMessageRendererBase

extends MessageRendererBase

Author:
  Lukas Fryc

Constructor Summary
`NotifyMessageRendererBase()`

Method Summary
`protected void` | `encodeNotification(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.util.Map<java.lang.String,java.lang.Object> options)`
`protected void` | `encodeScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.util.Map<java.lang.String,java.lang.Object> options)`
`protected java.lang.String` | `getJSClassName()`

Methods inherited from class org.richfaces.renderkit.MessageRendererBase
`encodeMessage, encodeScript, getLevel, getMessages, getMsgClass, getMsgStyle, getVisibleMessages, isComponentMessage, isComponentMessages`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyMessageRendererBase

    public NotifyMessageRendererBase()

Method Detail

### getJSClassName

    protected java.lang.String getJSClassName()

  Overrides:
    `getJSClassName` in class `MessageRendererBase`

### encodeScript

    protected void encodeScript(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component,
                                java.util.Map<java.lang.String,java.lang.Object> options)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeNotification

    protected void encodeNotification(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component,
                                      java.util.Map<java.lang.String,java.lang.Object> options)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.